POST Modpos/NewOrder

Request Information

URI Parameters

None.

Body Parameters

ModposWebhookRequest
NameDescriptionTypeAdditional information
restaurantId

integer

None.

projectId

integer

None.

order

ModposOrder

None.

Request Formats

application/json, text/json

Sample:
{
  "restaurantId": 1,
  "projectId": 2,
  "order": {
    "id": "sample string 1",
    "customer": {
      "fullName": "sample string 1",
      "phoneNumber": "sample string 2",
      "phoneCode": "sample string 3"
    },
    "address": {
      "text": "sample string 1",
      "description": "sample string 2",
      "lat": 1.1,
      "lon": 1.1
    },
    "products": [
      {
        "id": "sample string 1",
        "name": "sample string 2",
        "price": 3.0,
        "quantity": 4,
        "options": [
          {
            "name": "sample string 1"
          },
          {
            "name": "sample string 1"
          }
        ]
      },
      {
        "id": "sample string 1",
        "name": "sample string 2",
        "price": 3.0,
        "quantity": 4,
        "options": [
          {
            "name": "sample string 1"
          },
          {
            "name": "sample string 1"
          }
        ]
      }
    ],
    "source": "sample string 2",
    "note": "sample string 3",
    "totalAmount": 4.0,
    "totalDiscount": 1.0,
    "paymentMethod": "sample string 5",
    "platformCode": "sample string 6",
    "dailyOrderNo": "sample string 7",
    "createdAt": "2026-04-14T06:34:39.7303812+03:00",
    "scheduledAt": "2026-04-14T06:34:39.7303812+03:00",
    "OrderCreatedDate": "2026-04-14T06:34:39.7303812+03:00",
    "businessName": "sample string 9",
    "courierPhone": "sample string 10"
  }
}

application/xml, text/xml

Sample:
<ModposModels.ModposWebhookRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/AlpaslanEntegrasyon.Models">
  <order>
    <OrderCreatedDate>2026-04-14T06:34:39.7303812+03:00</OrderCreatedDate>
    <address>
      <description>sample string 2</description>
      <lat>1.1</lat>
      <lon>1.1</lon>
      <text>sample string 1</text>
    </address>
    <businessName>sample string 9</businessName>
    <courierPhone>sample string 10</courierPhone>
    <createdAt>2026-04-14T06:34:39.7303812+03:00</createdAt>
    <customer>
      <fullName>sample string 1</fullName>
      <phoneCode>sample string 3</phoneCode>
      <phoneNumber>sample string 2</phoneNumber>
    </customer>
    <dailyOrderNo>sample string 7</dailyOrderNo>
    <id>sample string 1</id>
    <note>sample string 3</note>
    <paymentMethod>sample string 5</paymentMethod>
    <platformCode>sample string 6</platformCode>
    <products>
      <ModposModels.ModposProduct>
        <id>sample string 1</id>
        <name>sample string 2</name>
        <options>
          <ModposModels.ModposOption>
            <name>sample string 1</name>
          </ModposModels.ModposOption>
          <ModposModels.ModposOption>
            <name>sample string 1</name>
          </ModposModels.ModposOption>
        </options>
        <price>3</price>
        <quantity>4</quantity>
      </ModposModels.ModposProduct>
      <ModposModels.ModposProduct>
        <id>sample string 1</id>
        <name>sample string 2</name>
        <options>
          <ModposModels.ModposOption>
            <name>sample string 1</name>
          </ModposModels.ModposOption>
          <ModposModels.ModposOption>
            <name>sample string 1</name>
          </ModposModels.ModposOption>
        </options>
        <price>3</price>
        <quantity>4</quantity>
      </ModposModels.ModposProduct>
    </products>
    <scheduledAt>2026-04-14T06:34:39.7303812+03:00</scheduledAt>
    <source>sample string 2</source>
    <totalAmount>4</totalAmount>
    <totalDiscount>1</totalDiscount>
  </order>
  <projectId>2</projectId>
  <restaurantId>1</restaurantId>
</ModposModels.ModposWebhookRequest>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.